if exist .venv (
  call 
) else (
  python -m venv .venv
)
call .venv\Scripts\activate.bat
pip install -r requirements.txt 
pyinstaller --icon=assets\app.ico -w --onefile .\shortcut.py --add-data "assets;."  
move /y dist\shortcut.exe shortcut.exe
del /q build dist shortcut.spec